<div>

    <jhi-alert></jhi-alert>
    <div class="ui-g-12"></div>
    <div class="row">
        <div class="col-sm-12">
            <p-accordion>
                <p-accordionTab header="Filter" [selected]="true">
                    <div class="row">
                        <div class="ui-g-12">
                            <div class="col-md-6">
                                <div class="ui-g-12">
                                    <div class="form-group">
                                        <div class="ui-g-4">
                                            <label class="form-control-label" for="field_PIC">Tanggal</label>
                                        </div>
                                        <div class="ui-g-4">
                                            <p-calendar inputId="field_dtfrom" name="input_dtfrom" [(ngModel)]="dtfrom"
                                                dateFormat="dd-M-yy" [monthNavigator]="true" [yearNavigator]="true"
                                                yearRange="2000:2999" appendTo="body"></p-calendar>
                                        </div>
                                        <div class="ui-g-4">
                                            <p-calendar inputId="field_dtthru" name="input_dtthru" [(ngModel)]="dtthru"
                                                dateFormat="dd-M-yy" [monthNavigator]="true" [yearNavigator]="true"
                                                yearRange="2000:2999" appendTo="body"></p-calendar>
                                        </div>
                                    </div>
                                </div>
                                <div class="ui-g-12">
                                    <div class="ui-g-4">
                                        <label class="form-control-label">Jenis Laporan</label>
                                    </div>
                                    <div class="ui-g-4">
                                        <p-dropdown [options]="types" [(ngModel)]="selectedType" id="field_TYPE">
                                        </p-dropdown>
                                    </div>
                                </div>
                                <div class="ui-g-12">
                                    <!-- <div class="form-group">
                                        <button pButton type="submit" label="Filter" icon="fa-filter"
                                            class="ui-button-primary flat-label-button" (click)="print()">
                                        </button>
                                        <button pButton label="Reset Filter" icon="fa-refresh"
                                            class="ui-button-primary flat-label-button" (click)="reset()">
                                        </button>
                                    </div> -->
                                    <button class="btn btn-success float-left" (click)="print()">
                                        <span class="fa fa-cog"></span>
                                        <span class="hidden-sm-down">
                                            export excel
                                        </span>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                </p-accordionTab>
            </p-accordion>
        </div>
    </div>
    <div class="form-group">
        <!-- <p-dataTable [value]="payments" name="table" #table class="table">
            <p-header>
                <div style="text-align:left">
                    <div class="col-sm-6; form-group">
                        <p-multiSelect class="float-left"  [options]="columnOptions" [(ngModel)]="cols">
                            Pilih Kolom
                        </p-multiSelect>
                        <button class="btn btn-warning float-left" (click)="exportExcel()">
                            <span class="fa fa-cog"></span>
                            <span class="hidden-sm-down">
                                export excel
                            </span>
                        </button>
                    </div>
                </div>
            </p-header>
            <p-column *ngFor="let col of cols" [field]="col.field" [header]="col.header">
            </p-column>
        </p-dataTable> -->
    </div>
    <!-- <div class="ui-g-12">
        <p-dataTable [value]="payments" [responsive]="false" name="table" #table class="table">
            <p-header>
                <button class="btn btn-warning float-left" (click)="print()">
                    <span class="fa fa-cog"></span>
                    <span class="hidden-sm-down">
                        export excel
                    </span>
                </button>
            </p-header>
            <p-column header="No">
                <ng-template let-rowIndex="rowIndex" pTemplate="body">
                    {{rowIndex + 1}}
                </ng-template>
            </p-column>
            <p-column header="Tgl. PO">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.tglpo | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="No. PO">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nopo}}
                </ng-template>
            </p-column>
            <p-column header="No. BBM">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.no_bbm}}
                </ng-template>
            </p-column>
            <p-column header="Tgl. BBM">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.tgl_bbm | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Kode Bahan">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.kodebahan}}
                </ng-template>
            </p-column>
            <p-column header="Nama Bahan">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.nmbahan}}
                </ng-template>
            </p-column>
            <p-column header="QTY PO">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qtypo}}
                </ng-template>
            </p-column>
            <p-column header="Satuan PO">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.satuanpo}}
                </ng-template>
            </p-column>
            <p-column header="QTY BBM">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.qtybbm}}
                </ng-template>
            </p-column>
            <p-column header="Satuan BBM">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.satuanbbm}}
                </ng-template>
            </p-column>
            <p-column header="Tgl. Kirim PO">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.tglkirimpo | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <p-column header="Tgl. Surat Jalan">
                <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.tglsj | date:'dd-MM-yyyy'}}
                </ng-template>
            </p-column>
            <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
            </ng-template>
        </p-dataTable>
    </div> -->
</div>